Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# SparkleParticleRenderer Class Reference

pretty sparkly things. More...

Inheritance diagram for SparkleParticleRenderer:

List of all members.

## Public Types
enum | SparkleParticleLifeScale { SPNOSCALE = 0, SPSCALE = 1 }
## Public Member Functions
| SparkleParticleRenderer ()
| Default Constructor.
| SparkleParticleRenderer (VBase4 const center, VBase4 const edge, float birth_radius, float death_radius, SparkleParticleLifeScale life_scale, ParticleRendererAlphaMode alpha_mode)
| Constructor.
| SparkleParticleRenderer (SparkleParticleRenderer const copy)
| Copy Constructor.
float | getBirthRadius ()
VBase4 const | getCenterColor ()
float | getDeathRadius ()
VBase4 const | getEdgeColor ()
SparkleParticleLifeScale | getLifeScale ()
| setBirthRadius (float radius)
| setCenterColor (VBase4 const c)
| setDeathRadius (float radius)
| setEdgeColor (VBase4 const c)
| setLifeScale (SparkleParticleLifeScale)

## Detailed Description

pretty sparkly things.

## Member Enumeration Documentation

enum SparkleParticleLifeScale

Enumerator:

  SPNOSCALE |
  SPSCALE |

## Constructor & Destructor Documentation

SparkleParticleRenderer | ( |  | ) |

Default Constructor.

SparkleParticleRenderer | ( | VBase4 const | center,
|  | VBase4 const | edge,
|  | float | birth_radius,
|  | float | death_radius,
|  | SparkleParticleLifeScale | life_scale,
|  | ParticleRendererAlphaMode | alpha_mode
| ) |  |

Constructor.

SparkleParticleRenderer | ( | SparkleParticleRenderer const | copy | ) |

Copy Constructor.

## Member Function Documentation

float getBirthRadius | ( |  | ) |

VBase4 const getCenterColor | ( |  | ) |

float getDeathRadius | ( |  | ) |

VBase4 const getEdgeColor | ( |  | ) |

SparkleParticleLifeScale getLifeScale | ( |  | ) |

setBirthRadius | ( | float | radius | ) |

setCenterColor | ( | VBase4 const | c | ) |

setDeathRadius | ( | float | radius | ) |

setEdgeColor | ( | VBase4 const | c | ) |

setLifeScale | ( | SparkleParticleLifeScale |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties